Commit c11fe8f1 authored by Natanael Copa's avatar Natanael Copa

main/dahdi-linux-grsec: recompile for 2.6.30.4

perpare for versioned kernel dependency
parent 656eb080
...@@ -8,18 +8,21 @@ if [ -f ../linux-${_flavor}/APKBUILD ]; then ...@@ -8,18 +8,21 @@ if [ -f ../linux-${_flavor}/APKBUILD ]; then
. ../linux-${_flavor}/APKBUILD . ../linux-${_flavor}/APKBUILD
fi fi
_abi_release=${pkgver:-2.6.29.5}-${_flavor} _kernelver="$pkgver-r$pkgrel"
_abi_release=${pkgver}-${_flavor}
_realname=dahdi-linux _realname=dahdi-linux
pkgname=${_realname}-${_flavor} pkgname=${_realname}-${_flavor}
pkgver=2.2.0 pkgver=2.2.0
pkgrel=3 pkgrel=4
pkgdesc="Digium Asterisk Hardware Device Interface drivers" pkgdesc="Digium Asterisk Hardware Device Interface drivers"
url="http://www.asterisk.org" url="http://www.asterisk.org"
license="GPL" license="GPL"
depends="dahdi-linux" #depends="dahdi-linux linux-${_flavor}=${_kernelver}"
depends="dahdi-linux linux-${_flavor}"
# we need wget and tar because make install downloads firmware and uses fancy # we need wget and tar because make install downloads firmware and uses fancy
# options for tar and wget. # options for tar and wget.
#makedepends="linux-${_flavor}-dev=${_kernelver} wget tar perl"
makedepends="linux-${_flavor}-dev wget tar perl" makedepends="linux-${_flavor}-dev wget tar perl"
install= install=
subpackages= subpackages=
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment